KDBG(1)

NAME
kdbg - a graphical debugger interface

SYNOPSIS
kdbg [ generic-options ] [ -t file ] [ -r device ] [ -l language ] [ -p pid ] [ program ] [ core ]

DESCRIPTION
KDbg is a graphical user interface to gdb, the GNU debugger. It provides an intuitive interface for setting breakpoints, inspecting variables, stepping through code and much more. KDbg requires KDE but you can of course debug any program.

KDbg can also debug XSLT (XML stylesheet translation) scripts by interfacing with xsldbg. Debian users must install the kxsldbg package to make use of this feature.

You can pass KDbg the path of the executable to debug (program) or a core dump to debug (core).

Features of KDbg include:

    Inspection of variable values in a tree structure.

    Direct member: For certain compound data types the most important member values are displayed next to the variable name, so that it is not necessary to expand the subtree of that variable in order to see the member value. KDbg can also display Qt's QString values, which are Unicode strings.

    Debugger at your finger tips: The basic debugger functions (step, next, run, finish, until, set/clear/enable/disable breakpoint) are bound to function keys F5 through F10. Quick and easy.

    View source code, search text, set program arguments and environment variables, display arbitrary expressions.

    Debugging of core dumps, attaching to running processes is possible.

    Conditional breakpoints.

OPTIONS
Below are the kdbg-specific options. For a full summary of options, run kdbg --help.

-t file
    Write a transcript of the conversation with the debugger to the given file.

-r device
    Use remote debugging via the given device.

-l language
    Specify the language of the program/script to debug. This must be either C (for a C/C++ program) or XSL (for an XSLT script). If this option is not passed then KDbg will try to deduce the language from the given filename.

-p pid
    Attach to the process with the given process ID.

SEE ALSO
gdb(1), xsldbg(1).

Full user documentation is available through the KDE Help Centre. Alternatively the HTML documentation can be viewed directly from /usr/share/doc/kdbg/html/.

AUTHOR
KDbg was written by Johannes Sixt <Johannes.Sixt@telecom.at>.
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).